Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [pip]

pip is a tool for installing and managing Python packages

0
votes
0answers
2 views

install pip package with nexus3 repository and pypi proxy

I install nexus3(Nexus Repository 3.16.1-02) repository and create pypi repository. pypi repo and in my machine(centos 7) create repo file. [Nexus_PYPI] name= PYPI baseurl= http://192.168.190.138:...
0
votes
0answers
3 views

Python default version is different with pip version

I have two versions of python (2.7 and 3.5) The default python version is 2.7. But for pip, it is for 3.5 (pip --version : pip 18.0 from /home/kouhi/.local/lib/python3.5/site-packages/pip (python 3.5)...
0
votes
0answers
8 views

Error importing geoscatter module on Mac

I need to use the geoscatter module in Python for one of my projects. I am using a virtual environment, where I can contain my current work and extra modules that I install. Inside venv I install ...
1
vote
1answer
16 views

Uninstall pip dependency with a hyphen at the start of it's name

I accidentally globally installed a package called -igalixir with pip3. When I try to uninstall it with pip3 uninstall -igalixir it interprets -igalixir as a command line option. I have tried ...
0
votes
0answers
23 views

Pip download Mac pyobjc binary packages not working

I am trying to download Python packages needed to install pyobjc on a Python 3.5, to be run on a Mac which network connection is faulty. The documentation for pip download have few examples and ...
0
votes
0answers
13 views

Trying to install pyats and genie on Ubuntu 18.04 and am getting an error [on hold]

:~$ pip install pyats Collecting pyats Could not find a version that satisfies the requirement pyats (from versions: ) No matching distribution found for pyats ~$ python --version Python 2.7.15rc1 $...
0
votes
0answers
10 views

Pip does not work on linux returning error:“from urllib3.packages.ordered_dict import OrderedDict ImportError: No module named ordered_dict”

I noticed i couldn't use pip anymore because of Import error whatever i do with pip, can't eve just run "pip" without getting: Traceback (most recent call last): File "/usr/bin/pip", line 9, in <...
-1
votes
0answers
21 views

Jetson nano devleoper kit llvm librosa install error

I'm trying to make signal processing environment in Jetson nano developer kit, but being stuck for lots of errors. For the record, Jeson nano devloper kit can't use Anaconda llvm error : ERROR: ...
0
votes
0answers
9 views

Pip package creation - __init__.py can't find local file to import

When I run the __init__.py with python3 locally, it successfully imports "other" import other But when I download it on another computer through pip install sql_panda_wrapper --upgrade importing ...
0
votes
0answers
16 views

pip3 install cytoolz web3 : EOF ran out of input

Working on Fedora 29, I want to install web3.py, using pip. In theory sudo pip3 install web3 works, but I get the following error: ERROR: Complete output from command python setup.py egg_info: ERROR: ...
0
votes
0answers
20 views

Fabrix 1.x installation issue

I tried installing fabric but it seems I am getting this error. I have been trying to install it a system where I don't have root access and I use pip install --user to install packages. I even tried ...
1
vote
1answer
64 views

How to properly install Pipenv on WSL Ubuntu 18.04?

I know this sounds like a pretty basic question but i've been frustrating myself to no end for the better part of a day. Am trying to set up a python environment in Windows Subsystem for Linux and ...
0
votes
0answers
25 views

pip install et_xmlfile failure

Brand new python installation -Python 3.7.3 (v3.7.3:ef4ec6ed12, Mar 25 2019, 22:22:05) [MSC v.1916 64 bit (AMD64)] on win32 -pip 19.1 I tried to install Openpyxl that relies on Et_xmlfile that pip ...
0
votes
1answer
25 views

Installed Python, but cannot run `pip`

I installed Python 3.7.3 on Windows 10. From the command line, if I enter pip I get: Traceback (most recent call last): File "<stdin>", line 1, in <module> NameError: name 'pip' is not ...
0
votes
0answers
46 views

Upgrade to Ubuntu 19.04 broke pip for python3.6

After upgrading from 18.04 to 19.04, I can't use pip on virtualenvs with python3.6. $ pip install scipy Traceback (most recent call last): File "/home/xen0f0n/dibco_local/dibco_python/bin/pip", ...

15 30 50 per page